# GET: /proposals/statistics

**ProposalStatisticsRequest**

This API has no request parameters.

**ProposalStatisticsResponse**

The API response contains the proposal counts for states.

| Type                   | Key      | Description                                      |
| ---------------------- | -------- | ------------------------------------------------ |
| bool                   | `status` | If set false, indicates an error returning data. |
| ProposalStatisticsData | `data`   | Proposal statistics data.                        |

**ProposalStatisticsData**

| Type   | Key      | Description           |
| ------ | -------- | --------------------- |
| uint32 | `active` | Active proposal count |
| uint32 | `passed` | Passed proposal count |
| uint32 | `failed` | Failed proposal count |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.belugas.io/api/proposal-service/get-proposals-statistics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
